<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="hlprx"
	ProjectGUID="{712B14D4-C846-40B3-9EC9-4F32A5B7A955}"
	RootNamespace="HLPRX"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\Release"
			IntermediateDirectory=".\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="..\..\DataCollection\src;..\..\RawScan\src;..\..\Error\src;..\..\SDKUtilities\src;..\..\Prx\src;..\..\RapiDAQ\src"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;HLPRX_EXPORTS"
				StringPooling="TRUE"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="TRUE"
				PrecompiledHeaderFile=".\Release/HLPRX.pch"
				AssemblerListingLocation=".\Release/"
				ObjectFile=".\Release/"
				ProgramDataBaseFileName=".\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Prx\lib\$(ConfigurationName)\NDTSPRX.lib ..\..\RapiDAQ\lib\$(ConfigurationName)\NDTSRQ.lib ..\..\DataCollection\lib\$(ConfigurationName)\NDTSDataCollection.lib ..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\RawScan\lib\$(ConfigurationName)\NDTSRawScan.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSHLPRX.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="$(SVNROOT)\thirdparty\plxpci\bin"
				ProgramDatabaseFile=".\Release/HLPRX.pdb"
				GenerateMapFile="TRUE"
				MapFileName=".\Release/HLPRX.map"
				ImportLibrary="$(OutDir)/NDTSHLPRX.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Release/HLPRX.tlb"
				HeaderFileName=""/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"/>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="2057"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\Debug"
			IntermediateDirectory=".\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\DataCollection\src;..\..\RawScan\src;..\..\Error\src;..\..\SDKUtilities\src;..\..\Prx\src;..\..\RapiDAQ\src"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;HLPRX_EXPORTS;"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				PrecompiledHeaderFile=".\Debug/HLPRX.pch"
				AssemblerListingLocation=".\Debug/"
				ObjectFile=".\Debug/"
				ProgramDataBaseFileName=".\Debug/"
				WarningLevel="4"
				WarnAsError="TRUE"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Prx\lib\$(ConfigurationName)\NDTSPRX.lib ..\..\RapiDAQ\lib\$(ConfigurationName)\NDTSRQ.lib ..\..\DataCollection\lib\$(ConfigurationName)\NDTSDataCollection.lib ..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\RawScan\lib\$(ConfigurationName)\NDTSRawScan.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSHLPRX.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="&quot;$(SVNROOT)/thirdparty/plxpci\bin&quot;"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile=".\Debug/HLPRX.pdb"
				ImportLibrary="$(OutDir)/NDTSHLPRX.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Debug/HLPRX.tlb"
				HeaderFileName=""/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"/>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="2057"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath=".\hlprx.c">
			</File>
			<File
				RelativePath=".\HLPRXInternal.c">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath=".\hlprx.h">
			</File>
			<File
				RelativePath=".\HLPRXInternal.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
